1.0.5 fatal access violation
  • Didnt realize that I had a new update. This is what happened when i tried to create a new game with mods:more wood stone iron CC:NewFrontier 1.55

    Dump attached for fun. No idea if this means anything to anyone. I'm reverting back to 1.0.4
    crash.dmp
    272K
  • Also get a fatal access violation in Runtime-steam-x64.dll. It occurs when I load a saved map (done with beta 1.04). I had a bunch of mods applied :

    #######################################################
    # List of Banished mods sorted by load order #
    # created with #
    # 'Create sorted list of Banished mods' #
    # release 6b #
    # by Gordon Dry #
    #######################################################
    ################### ugly simple soft ##################
    # http://worldofbanished.com/index.php?topic=790.0 #
    #######################################################

    Canal
    EBFarmhouses
    Radius
    GrassyRoads
    college
    coldrealism
    LaborWindow
    StorageShed
    RenewableResources
    Covering
    littlehouse
    SpecializedStorage
    BlackLiquidRain
    NanashiXiMoai
    wintinRoads
    Monument_angel
    DebugMenu
    zMash
    zSoapiary
    bigminimap
    monastery
    TradeTest
    CategoryNames
    CCNoSmoke
    ColonialCharterNF
    newmedievaltown
    newmedievalCastle
    ccwindmill
    SoupKitchen
    MissionBellTower
    Cathedral
    ToolShed
    elfSmallerVendors
    littlechapel - - - - - - MOD DISABLED
    flatten - - - - - - MOD DISABLED
    NMGrainSilo - - - - - - MOD DISABLED
    beautifulworldcc - - - - - - MOD DISABLED
    fountainlite - - - - - - MOD DISABLED
    fountain - - - - - - MOD DISABLED

    Another remark: I have found the crash.dmp file in the program directory (Program Files(x86)\Steam\Steamapps\Common\Banished) instead of My document\Banished\Save

    I joined the crash.dmp and below is a link to the save file

    https://drive.google.com/file/d/0BzS7wy3WTOZLTmFISHE1MEFNeEk/view?usp=sharing


    Thanks for this nice game and for starting again the development.

    Regards

    crash.dmp
    349K
  • Hello,

    I tried to start a new map with the same list of mod as posted above and got the same kind of crash near the end of the map building process.

    Regards
    crash.dmp
    324K
  • can you try to figure out if it is 1 of my mods, please ? start a new game without any of mine to check if you can start it without a crash.
  • Kralyerg from Colonial Charter / Blackliquid team wrote a fix that allows to start a new game with all the mod listed above.
    http://colonialcharter.com/index.php/forum/kralyergs-kave-of-krazy-kontraptions/2106-cc-beta-fix

    Obviously, this cannot fix the save game crashes. Something equivalent of this fix should be included in the game engine to solve this backward compatibility issue
  • Unable to use ANY mods since the beta update (via Steam), and can't get back to the old version. Get a fatal error and black screen every time I try to enable any mod. Last dmp file attached.
    crash.dmp
    263K
  • why you cant go back to normal version ? (just uncheck and stop participating the beta)
  • This is a bug with 1.0.5 loading mods from 1.0.4 that have custom materials. This will be fixed in the next build.
  • Hi, I'm having the same issue with the runtime access error. Any ideas on what I should try?
  • if you are using CC ... should go pickup the 1.6 or the betafix for CC1.55
  • I'm having the same issue ... I'm not in steam. How do I get back to 1.0.4? I had a lot of mods applied and had a few saved games at first. Then after unzipping the 1.0.5 I get this >>> http://imgur.com/8AnQLl6 . The game won't even load! Then I deleted all the mods and the save games ..(I thought it might help at least to load) ..still no progress at all. Not sure how to get back to 1.0.4... do I have to uninstall and reinstall banished?
  • No thanks but ... problem is solved. reinstall did the work and beta 1.0.5 is working fine.
  • if you use CC make sure you have the 1.6 version

    if you have 1.5 version, you will need the CCBetafix.
    (Same with NMT1.1b = CCBetaFix. Only the NMT2.01 works with Banished Beta 1.0.5)

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!